package com.realnet.mypackage.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.mypackage.Entity.First;
import com.realnet.mypackage.Services.FirstService ;






@RequestMapping(value = "/First")
 @CrossOrigin("*") 
@RestController
public class FirstController {
	@Autowired
	private FirstService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/First")
		  public First Savedata(@RequestBody First data) {
		First save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/First/{id}")
	public  First update(@RequestBody First data,@PathVariable Integer id ) {
		First update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/First/getall/page")
	public Page<First> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<First> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/First")
	public List<First> getdetails() {
		 List<First> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/First")
	public List<First> getallwioutsec() {
		 List<First> get = Service.getdetails();		
		return get;
}
@GetMapping("/First/{id}")
	public  First  getdetailsbyId(@PathVariable Integer id ) {
		First  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/First/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}